Subject: Re: PLEASE HELP! Looking for dir.h
From: [email-masked]

23 Feb 1997 13:34:05 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Sankalp <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Sankalp wrote:
> 
> > I haven't used GNU-Win32 since Beta 4. I just downloaded the newest
> > release and have forgotten a few things about the environment. Here are
> > a couple questions:
> >
> > 1.) How do I compile libraries needed such as stdc++ to access such
> > header files as iostream.h in the libraries or DLLs at compile time?
> 
> Hmm..Can't you just '#include <iostream.h>' ?  If that doesn't work, it
> means that your libraries aren't installed.  Did you follow the
> directions as per the README?  just 'tar zxf' the all.tar.gz file under a
> directory such as c:\cygnus.  If you want to use the tar and gunzip
> provided with the GNU-Win32 Tools, then you'll need to download the
> cygwin.dll into c:\cygnus.  You don't need GNU Tar, mind you, you can use
> any tar/gzipper.  All these instructions are given in the readme.
> 
> > 2.) I am trying to compile an application that uses the linux sys/dir.h
> > header, does anyone know if it is included in the Cygnus package? If so
> > which library or DLL and how can I include/access it at compilation
> > time?
> 
> Use <dirent.h>.
> 
> > 3.) I have been on the GNU Win32 mailing list for almost a year and I
> > can't remember the Web address for the HyperMail - so I can view/get the
> > most up to date mail and reference archives for future help (Could
> > somebody forward it to me?:).
> 
> the archive is webified...Check out the Cygnus home page at www.cygnus.com.
> 
> .-------------------.
> |  Sankalp Acharya  |
> | [email-masked] |
> `-------------------'

Thanks Sankalp,

As for answer number 1 I understand what you are saying however my
problem is not that simple. A while back at least in Beta 4 if I needed
access to certain includes and values in iostream.h the header was not
complete. Instead I would need to make the call to iostream.h or
whatever include in the standard libraries included in a DLL (possibly
CYGWIN.DLL I can't remember). I don't actually need to know how to call
iostream.h. The same goes for dirent.h. I tried calling it however it
was incomplete. I am looking for the DLL or library that has the full
dirent.h, so I can call it at compilation time or at the Command Line
(Somthing like "g++ -lcygwin" ?). I can't remember how to call the
libraries while compiling the object for all header includes. Brain
clots tend to occur when using VC++, VB, and Java compilers without
using UNIX for long periods of time. 

As for number 2 all my paths and the installation they are all SetUp
correctly, and working great.

As for answer number 3 - I know about www.cygnus.com, HOW DO YOU THINK I
DOWNLOADED Beta 17.1??? I can't find a link to the Hyper Mail Archive...
and I don't remember the address?

Again, I am stumped... Can anyone help???

Thanks for any help,

Aaron Schiffman
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".